import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_review_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_review_list_entity.g.dart';

@JsonSerializable()
class LabourReviewListEntity {
	int total = 0;
	List<LabourReviewListRows> rows = [];

	LabourReviewListEntity();

	factory LabourReviewListEntity.fromJson(Map<String, dynamic> json) => $LabourReviewListEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourReviewListEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourReviewListRows {
	@JSONField(name: "record_id")
	String? recordId;
	@JSONField(name: "request_id")
	String? requestId;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "job_time")
	String? jobTime;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "salary_show")
	String? salaryShow;
	@JSONField(name: "need_num")
	String? needNum;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "btn_list")
	List<String> btnList = [];

	bool isSelected = false;  //自定义字段，是否选中

	LabourReviewListRows();

	factory LabourReviewListRows.fromJson(Map<String, dynamic> json) => $LabourReviewListRowsFromJson(json);

	Map<String, dynamic> toJson() => $LabourReviewListRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}